Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class JXPathBindingManager.Assistant

    java.lang.Object
      org.apache.cocoon.forms.binding.JXPathBindingManager.Assistant

Enclosing class:
  JXPathBindingManager

public class JXPathBindingManager.Assistant
extends Object

Assistant Inner class discloses enough features to the created childBindings to recursively This patterns was chosen to prevent Inversion Of Control between this factory and its builder classes (that could be provided by third parties.)

Constructor Summary
`JXPathBindingManager.Assistant()`

Method Summary
`JXPathBindingBase` | `getBindingForConfigurationElement(Element configElm)` Creates a `Binding` following the specification in the provided config element.
`BindingBuilderContext` | `getContext()`
`DatatypeManager` | `getDatatypeManager()`
`LibraryManager` | `getLibraryManager()`
`JXPathBindingBase[]` | `makeChildBindings(Element parentElement)` proxy for compatibility
`JXPathBindingBase[]` | `makeChildBindings(Element parentElement, JXPathBindingBase[] existingBindings)` Makes an array of childBindings for the child-elements of the provided configuration element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXPathBindingManager.Assistant

    public JXPathBindingManager.Assistant()

Method Detail

### getBindingForConfigurationElement

    public JXPathBindingBase getBindingForConfigurationElement(Element configElm)
                                                        throws BindingException

  Creates a `Binding` following the specification in the provided config element.

  Throws:
    `BindingException`

### makeChildBindings

    public JXPathBindingBase[] makeChildBindings(Element parentElement)
                                          throws BindingException

  proxy for compatibility

  Throws:
    `BindingException`

### makeChildBindings

    public JXPathBindingBase[] makeChildBindings(Element parentElement,
                                                 JXPathBindingBase[] existingBindings)
                                          throws BindingException

  Makes an array of childBindings for the child-elements of the provided configuration element.

  Throws:
    `BindingException`

### getDatatypeManager

    public DatatypeManager getDatatypeManager()

### getLibraryManager

    public LibraryManager getLibraryManager()

### getContext

    public BindingBuilderContext getContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.